Subject: [ipfix-protocol] List of issues for the IPFIX protocol

From: Benoit Claise <[email-masked]>
Date: Tue, 25 May 2004 23:28:29 +0200

Dear all,

Here is the list of issues. Actually this is described at the beginning 
of the draft.
http://www.ietf.org/internet-drafts/draft-ietf-ipfix-protocol-03.txt

I really encourage people to provide feedback and texts.
Sometimes, providing the text is the most time-consuming part of the 
job: at least for me ;) So please help

 1.  Points of Discussion 
    
 1.1  Open Issues 
    
   This section covers the open issues, still to be resolved/updated in 
   this draft: 

   Issues in the Terminology section 
    
   PROTO-1: Is flowSet the right term to use? 
       - leave as is 
       - Record Set 
       - Record Array 
       - Record Collection 
       - Record List 
   PROTO-2: Some discrepancies between data types, field type and 
   Information 
       Element terminology. 
       - field type (IPFIX-PROTO) conflicts with field ID (IPFIX-INFO) 
       - suggestion: use field type instead of field Id in IPFIX-INFO 
       - rename 'type' to 'data type' and 'info elements' to 'fields' 
          in IPFIX-INFO 
   PROTO-3: IP encapsulated packet 
       - IP Traffic Flow definition speaks of IP packets 
       - Metering Process definitions say:  
         Input to the metering process are packets  
       - We don't want to limit ourselves to IPv4 and IPv6 
    
   Issues in the Transport Protocol section 
    
   PROTO-4: TCP and UDP are is not yet covered 
   PROTO-5: Error recovery, for example what to do if a collector 
       receives a message it can't decode. 
       Per protocol issue, ie TCP reset the session because it's a 
       stream protocol and can't recover. 
   PROTO-6: Section 5.2.3.3, Association: What happens if the Exporter 
   gets no response 
       from any Collector? 
       I think we should specify a (not-too-aggressive) retry 
       algorithm. 
   PROTO-7: Dropping data before export: What to do with sequence 
       numbers? 
   PROTO-8: Why having a stream per SID? 
   PROTO-9: IPFIX message should have MTU size. 
   PROTO-10: How to re-establish a lost connection? Procedure per 
   transport protocol? 
    
   Issues in the Failover section 
    
   PROTO-11: (initial version required) Section needs to be written 
       If we tackle reliability/failover a state diagram is needed. 
    
   Issues in the Message Layout section 
    
   PROTO-12: Do we need the IETF exclusive template flowset format? 
       suggested solution: 
       - reserve flowset ID 0 & 1 for compatibility with NFv9 
       - try to make flowset ID 2 & 3 definition fully compatible with 
         NFv9 
       - add note that if you implement ID 2/3 correctly, you can also 
   process ID 0/1. 
   PROTO-13: How to distinguish IETF field IDs from vendor field IDs 
       - Specify method for detecting the difference in section 8. 
       - Add a note that there is a common ID space for for field types 
         used in data templates and option templates 
       - (Editorial) make clear that Section 8.2 also applies to option 
   templates 
   PROTO-14: Why do we need padding? Should we shift it to MAY? 
       limit the size of the padding? Yes 
       solution: 
       - padding shorter than actual Record Length 
       - fill with 0 
       - only at end of flowset 
       - applies to all flowsets 
       - padding is OPTIONAL (MAY) , not RECOMMENDED (SHOULD) 
    
   Issues in the IPFIX Message Format section 
    
   PROTO-15: Remove Reserved 2 octets in Vendor specific option 
   template flowset and add padding at the end 
   PROTO-16: relationship between several different scopes in one 
   record 
   PROTO-17: redefine scope values? 
       - 1 System 
         2 IP interface 
         3 observation domain (SID) (preciously called line card) 
         4 reserved (previously used for cache) 
         5 template 
         6 metering process? 
         7 flow recording process? 
         8 exporting process? 
         9 observation point? 
 
   PROTO-18: Can we have an optional length of 0 bytes for the scope 
   section in the option template? 
   PROTO-19: Do we really need different templates formats for flows 
   and options? 
   PROTO-20 Do we really need different record formats for flows and 
   options? 
    
   Issues in the Specific Reporting Requirement section 
    
   PROTO-21: Do we need to define some mandatory content of the 
   metering process statistics option template? 
       - Maurizio suggested text on the mailing list 
   PROTO-22: Exporter ID (ie IP address of exporter) 
    
   Issues in the Export Packet "Export Time" Computation and Flow 
   Record Time section 
    
   PROTO-23: Finalize the time details 
    
   Issues in the Linkage with the Information Model section 
    
   PROTO-24: Section 11 "Linkage with the information model" must be 
   completed with types used in [IPFIX-INFO] 
    
   Issues in the Template Management section 
    
   PROTO-25: The section 11 "Template Management" will have to updated 
       according to the transport protocol. 
       - For example, the point 2 of the section "Template Management". 
         Remark: the template management will vary with TCP, SCTP, 
         etc... 
         Must have both sections updated: transport updated and 
         template  management sections (BTW, this is the same for 
         the failover section). 
      
   Issues in the IANA section 
    
   PROTO-26: IANA considerations section to be updated: have a look at   
        RFC 2434, which sets out guidelines for IANA Considerations. 
        Also, searching the RFCs for 'IANA Considerations' brings 
        up quite a few RFCs to look at as models. 

   Issues - Miscellaneous 
    
   PROTO-27: Need an example with the Vendor Specified Information 
   Element 
   PROTO-28: Packet Sampling.  This is mentioned in both the 
   Requirements I-D and the AS I-D.  We need to decide how it should be 
   covered in the IPFIX drafts. 
 
 1.2  Action Items 
    
   This section covers the action items for this draft  
   PROTO-29: number all the figures 
   PROTO-30: Review the requirements draft to see what we miss, once 
   it's an I-RFC 

Regards, Benoit

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/